DataSourceLinkFactory (Apache Tomcat 9.0.37 API Documentation)

org.apache.naming.factory

## Class DataSourceLinkFactory

- java.lang.Object
- - org.apache.naming.factory.ResourceLinkFactory
  - - org.apache.naming.factory.DataSourceLinkFactory

- All Implemented Interfaces:
    ObjectFactory

      public class DataSourceLinkFactory
      extends ResourceLinkFactory

  Object factory for resource links for shared data sources.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataSourceLinkFactory.DataSourceHandler` Simple wrapper class that will allow a user to configure a ResourceLink for a data source so that when `DataSource.getConnection()` is called, it will invoke `DataSource.getConnection(String, String)` with the preconfigured username and password.

  - ### Field Summary

    - ### Fields inherited from class org.apache.naming.factory.ResourceLinkFactory

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceLinkFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Create a new DataSource instance.
    `static void` | `setGlobalContext(Context newGlobalContext)`
    `protected Object` | `wrapDataSource(Object datasource, String username, String password)`

    - ### Methods inherited from class org.apache.naming.factory.ResourceLinkFactory

      `deregisterGlobalResourceAccess, deregisterGlobalResourceAccess, registerGlobalResourceAccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceLinkFactory

          public DataSourceLinkFactory()

  - ### Method Detail

    - #### setGlobalContext

          public static void setGlobalContext(Context newGlobalContext)

    - #### getObjectInstance

          public Object getObjectInstance(Object obj,
                                          Name name,
                                          Context nameCtx,
                                          Hashtable<?,?> environment)
                                   throws NamingException

      Create a new DataSource instance.
      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Overrides:
        `getObjectInstance` in class `ResourceLinkFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `NamingException`

    - #### wrapDataSource

          protected Object wrapDataSource(Object datasource,
                                          String username,
                                          String password)
                                   throws NamingException

      Throws:
        `NamingException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.